<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.weather.modules.weather.station.dao.WeatherStationDao">

    <resultMap type="com.weather.modules.weather.station.entity.WeatherStationEntity" id="weatherStationMap">
        <result property="id" column="id"/>
        <result property="stationCode" column="station_code"/>
        <result property="stationName" column="station_name"/>
        <result property="stationLevel" column="station_level"/>
        <result property="latitude" column="latitude"/>
        <result property="longitude" column="longitude"/>
        <result property="elevation" column="elevation"/>
        <result property="provinceName" column="province_name"/>
        <result property="cityName" column="city_name"/>
        <result property="countyName" column="county_name"/>
        <result property="townName" column="town_name"/>
        <result property="createDate" column="create_date"/>
    </resultMap>


</mapper>